Subject: ND model for routers

From: "Pascal Thubert (pthubert)" <[email-masked]>
Date: Mon, 1 Dec 2003 12:48:11 -0000

Exactly :)

Seems to me that the "ROUTERS" vs. "routers" discussion had the wrong
focus, as Pekka mentioned.

The question may not be about the definition of a router, but rather how
does a box with forwarding/redistributing capabilities present that to
the network at ND level. 

ND seems to say routers send RAs and the rest of the hosts send NAs. And
the real world shows us nodes that do not wish to comply with the ND
model. Proposal is to extend ND, not to change the world.

Pascal

> -----Original Message-----
> From: Mark Smith
[mailto:[email-masked]]
> Sent: mercredi 26 novembre 2003 06:45
> To: Pascal Thubert (pthubert)
> Cc: [email-masked]; [email-masked]; [email-masked];
[email-masked]
> Subject: Re: "ROUTERS" vs. "routers"
> 
> On Tue, 25 Nov 2003 15:22:43 -0000
> "Pascal Thubert (pthubert)" <[email-masked]> wrote:
> 
> > - A PC with multiple Network addressable entities such as storage
media
> 
> I had the maybe not so strange idea a while back of having all
components within a PC have an
> IPv6 address, or at least represented within the OS by an IPv6 eg
keyboard, mouse, HDD etc.
> I'm not necessarily suggesting that inter-device communication occurs
over TCP or UDP though.
> Just IPv6 addresses for management, and possibly other uses that I
haven't thought of.
> 
> You could then do tricks such as if the user complains that their HDD
has stopped working,
> you could ping it over the network. Or have SNMP agents issue traps
when eg. the keyboard
> stops working.
> 
> I don't know whether this model would make the PC a router, or just
that the PC's interface
> to the network acts as a proxy for all the device's "internal" IPv6
addresses, performing
> things such as DAD on their behalf.
> 
> 
> Regards,
> Mark.

--------------------------------------------------------------------
IETF IPv6 working group mailing list
[email-masked]
Administrative Requests: https://www1.ietf.org/mailman/listinfo/ipv6
--------------------------------------------------------------------